"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Display = void 0;
class Dimensions {
    constructor(width, height) {
        this.width = width;
        this.height = height;
    }
    getRatio() {
        return this.width / this.height;
    }
}
class Display {
    constructor(width, height) {
        this.screen = new Dimensions(width, height);
        this.offset = { x: 0, y: 0 };
    }
    setSource(width, height) {
        this.source = new Dimensions(width, height);
        if (this.source.getRatio() > this.screen.getRatio()) {
            this.display = new Dimensions(this.source.getRatio() * this.screen.height, this.screen.height);
        }
        else {
            this.display = new Dimensions(this.screen.width, this.source.width / this.source.getRatio());
        }
        this.offset = { x: Math.round(this.display.width), y: 0 };
    }
    getDimensions() {
        return {
            w: this.display.width,
            h: this.display.height,
            x: this.offset.x,
            y: this.offset.y
        };
    }
}
exports.Display = Display;
module.exports = { Display };
//# sourceMappingURL=index.js.map