class Client {
    constructor() {
        this.connected = false;
        let uri = 'ws://localhost:8082';
        this.progress = document.getElementById('progress');
        this.client = new WebSocket(uri);
        this.client.onopen = this.onOpen.bind(this);
        this.client.onmessage = this.onMessage.bind(this);
    }
    onMessage(event) {
        const msg = JSON.parse(event.data);
        if (typeof msg.state !== 'undefined' && msg.state.sequence !== null) {
            this.setSequence(msg.state.sequence);
        }
        else if (typeof msg.cmd !== 'undefined' && msg.cmd !== null) {
            this.cmd(msg.cmd);
        }
    }
    onOpen(event) {
        console.log('Connected');
        this.connected = true;
    }
    setSequence(sequence) {
        const percent = sequence.progress * 100.0;
        this.progress.value = percent;
        this.progress.innerText = `${Math.floor(percent)}%`;
    }
    cmd(id) {
        switch (id) {
            case 'open':
                this.receiveCameraOpen();
                break;
            default:
                console.warn(`No command ${id}`);
                break;
        }
    }
    sendCameraOpen() {
        console.log('send camera open');
        this.client.send(JSON.stringify({ cmd: 'open' }));
    }
    receiveCameraOpen() {
        console.log('got camera open');
    }
}
const client = new Client();
//# sourceMappingURL=index.js.map